#version 120

#include "/video.glsl"

uniform sampler2D texture;
uniform float viewHeight;
uniform float viewWidth;

varying vec4 texcoord;
varying float time;

float cround(float num, float to)
{
	float res = mod(num, to);
	if (res >= to / 2) res = num - res + to;
	else res = num - res;
	return res;
}

vec2 croundVec2(vec2 vecc, float to)
{
	vecc.s = cround(vecc.s, to);
	vecc.t = cround(vecc.t, to);
	return vecc;
}

void main()
{
	
	gl_FragData[0] = texture2D(texture, texcoord.st);
	int framePos = int(gl_FragCoord.x / viewWidth * frameWidth) + int((1.0 - gl_FragCoord.y / viewHeight) * frameHeight) * frameWidth;
	int px = getPixel(int(mod(time, length / fps) * fps), framePos);
	if (px == 1) gl_FragData[0].rgb = 1 - gl_FragData[0].rgb;
	else if (px != 0) gl_FragData[0].rgb = vec3(1, 0, 0);
}